using SqlSugar;

namespace ContingencyManagement.Sdk
{
    /// <summary>
    /// 
    /// </summary>
    [SugarTable("Orders")]
    public class ContingencyManagementOrders
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "Id", IsPrimaryKey = true, ColumnDescription = "主键")]
        public string Id { get; set; }

        /// <summary>
        /// 工单编码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)", ColumnDescription = "工单编码")]
        public string? No { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "标题")]
        public string Title { get; set; }

        /// <summary>
        /// 诉求内容
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "text", ColumnDescription = "诉求内容")]
        public string Content { get; set; }

        /// <summary>
        /// 来源渠道（电话、网站、APP等）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "来源渠道")]
        public string? SourceChannel { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "受理类型")]
        public string? AcceptType { get; set; }

        /// <summary>
        /// 热点
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "热点")]
        public string? HotspotSpliceName { get; set; }

        /// <summary>
        /// 实际办理部门名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "实际办理部门名称")]
        public string? ActualHandleOrgName { get; set; }

        /// <summary>
        /// 实际办理部门编码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "实际办理部门编码")]
        public string? ActualHandleOrgCode { get; set; }

        /// <summary>
        /// 行政区划编码
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "行政区划编码")]
        public string? AreaCode { get; set; }
        
        // <summary>
        /// 市
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "市")]
        public string? City { get; set; }

        /// <summary>
        /// 区/县
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "区/县")]
        public string? County { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "创建时间")]
        public DateTime CreationTime { get; set; }

        /// <summary>
        /// 归档时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDescription = "归档时间")]
        public DateTime? FiledTime { get; set; }

        /// <summary>
        /// 归档意见
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "text", ColumnDescription = "归档意见")]
        public string? FileOpinion { get; set; }
    }
}
